#
# nozomi spec file
#
# RPM spec file
#
# Marc E. Fiuczynski <mef@cs.princeton.edu>
# Copyright (C) 2006 The Trustees of Princeton University
# License is GPL.
#
# $Id$
#

# kernel_release, kernel_version and kernel_arch are expected to be set by the build to e.g.
# kernel_release : vs2.3.0.29.1.planetlab
# kernel_version : 2.6.22.14

%define name nozomi
%define version 2.21
%define subversion alpha_060917
%define taglevel 1

%define release %{subversion}%{kernel_release}%{?pldistro:.%{pldistro}}%{?date:.%{date}}
%define kernel_id_arch %{kernel_version}-%{kernel_release}-%{kernel_arch}
%define kernel_id %{kernel_version}-%{kernel_release}

Summary: nozomi UMTS driver
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Kernel
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Vendor: OneLab
URL: http://www.pharscape.org/component/option,com_forum/Itemid,68/
Packager: OneLab <support@one-lab.org>
Distribution: OneLab 4.0

%description
nozomi is a UMTS card driver

%prep
%setup

%build
rm -rf $RPM_BUILD_ROOT

# with the new build, we use the kernel-devel rpm for building
%define kernelpath /usr/src/kernels/%{kernel_id_arch}

%__make KDIR=%kernelpath default

%install
rm -rf $RPM_BUILD_ROOT

# the makefile is broken for installation
#%__make KDIR=$linux INSTALLDIR=$linux/kernel/drivers/hotplug install
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kernel_id}/kernel/drivers/hotplug
cp -f nozomi.ko $RPM_BUILD_ROOT/lib/modules/%{kernel_id}/kernel/drivers/hotplug 

# Remove depmod files, will be regenerated in %post
rm -f $RPM_BUILD_ROOT/lib/modules/%{kernel_id}/modules.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /lib/modules/*
/lib/modules/*/kernel/drivers/hotplug/nozomi.ko


%post
depmod -a %{kernel_id} >/dev/null 2>&1 || :

# ask for a reboot

%preun

%postun
# 0 = erase, 1 = upgrade
if [ $1 -eq 0 ] ; then
    dir=/lib/modules/%{kernel_id}
    # If we were the only module installed, remove the module dependencies
    if [ ! -d $dir/kernel ] ; then
	[ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg --rmmoddep --remove %{kernel_id}
    else
	depmod -a %{kernel_id} >/dev/null 2>&1 || :
    fi
fi

%changelog
* Fri Dec 05 2007 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> -
- updated for 4.2 and new build

* Mon May 04 2007 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> -
- Initial release
